const express = require('express');
const router = express.Router();
const contractController = require('../controllers/contract.controller');

router.get('/', contractController.getContracts);
router.get('/getinfocontract/:id', contractController.getContract);
router.get('/neartoend', contractController.neartoend);
router.get('/positions', contractController.getpositions);
router.get('/areas', contractController.getareas);
router.get('/bosses', contractController.getbosses);
router.get('/reportempcontract', contractController.reportEmployeeContract);
router.get('/disabledcontract', contractController.disabledcontracts);

router.post('/newcontract',contractController.newContract);
router.put('/updatecontract/:id', contractController.updateContract);
module.exports = router;